Package com.pixelmed.apps

# Class InsertCodeSequence

java.lang.Object
com.pixelmed.apps.InsertCodeSequence

public class InsertCodeSequence extends Object

A class containing an application for inserting code sequences from the command line.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`InsertCodeSequence.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`attributeName`
`protected String`
`codeMeaning`
`protected String`
`codeValue`
`protected String`
`codingSchemeDesignator`
`protected String`
`codingSchemeVersion`
`protected String`
`dstFolderName`
`protected String`
`ourAETitle`

## Constructor Summary

Constructors
Constructor
Description
`InsertCodeSequence(String attributeName, String codeValue, String codingSchemeDesignator, String codingSchemeVersion, String codeMeaning, String src, String dstFolderName, MessageLogger logger)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Insert a coded sequence into the specified files.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

### dstFolderName

protected String dstFolderName

### attributeName

protected String attributeName

### codingSchemeDesignator

protected String codingSchemeDesignator

### codeValue

protected String codeValue

### codeMeaning

protected String codeMeaning

### codingSchemeVersion

protected String codingSchemeVersion

## Constructor Details

### InsertCodeSequence

public InsertCodeSequence(String attributeName, String codeValue, String codingSchemeDesignator, String codingSchemeVersion, String codeMeaning, String src, String dstFolderName, MessageLogger logger) throws IOException, DicomException

Throws:
  `IOException`
  `DicomException`

## Method Details

### main

public static void main(String[] arg)

Insert a coded sequence into the specified files.

Does not replace UIDs or set type to derived.

Parameters:
  `arg` - array of 7 strings - attributeName, codeValue, codingSchemeDesignator, codingSchemeVersion (or empty string if none), codeMeaning, source folder or DICOMDIR, destination folder